summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_build_rpm.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/reproducible_build_rpm.sh')
-rwxr-xr-xbin/reproducible_build_rpm.sh8
1 files changed, 3 insertions, 5 deletions
diff --git a/bin/reproducible_build_rpm.sh b/bin/reproducible_build_rpm.sh
index 2010f46f..a2e7598d 100755
--- a/bin/reproducible_build_rpm.sh
+++ b/bin/reproducible_build_rpm.sh
@@ -182,16 +182,12 @@ remote_build() {
#
# below is what controls the world
#
-
-TMPDIR=$(mktemp --tmpdir=/srv/reproducible-results -d -t rbuild-rpm-XXXXXXXX) # where everything actually happens
-trap cleanup_all INT TERM EXIT
-cd $TMPDIR
-
TIMEOUT=8 # maximum time in hours for a single build
DATE=$(date -u +'%Y-%m-%d %H:%M')
START=$(date +'%s')
DUMMY=$(mktemp -t rpm-dummy-XXXXXXXX)
RPM_STAMPS=/srv/reproducible-results/.rpm_stamp
+trap cleanup_all INT TERM EXIT
#
# determine mode
@@ -218,6 +214,8 @@ if [ "$1" = "1" ] || [ "$1" = "2" ] ; then
exit 0
fi
MODE="master"
+TMPDIR=$(mktemp --tmpdir=/srv/reproducible-results -d -t rbuild-rpm-XXXXXXXX) # where everything actually happens
+cd $TMPDIR
#
# main - only used in master-mode